import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
export declare class DataService {
    http: HttpClient;
    readonly baseUrl: string;
    constructor(http: HttpClient);
    companies(): Observable<Object>;
    geralWeb(body: any): Observable<Object>;
    newsSection(): Observable<Object>;
    news(section: number): Observable<Object>;
    featured(type: string, id: string): Observable<any>;
    channel(id: string): Observable<any>;
    event(userId: number): Observable<any>;
    web(): Observable<any>;
    progress(): Observable<any>;
    lives(): Observable<any>;
    custom(type: string, role: number): Observable<Object>;
    acervo(): Observable<Object>;
    color(id: number): Observable<Object>;
    pollsQuestions(id: string): Observable<Object>;
    updatePolls(id: string, data: any): Observable<Object>;
    notices(): Observable<Object>;
    journey(): Observable<Object>;
    journeyItens(id: number): Observable<Object>;
    trailSessao(id: number): Observable<any>;
    cursosSessao(): Observable<Object>;
    videoSessao(): Observable<Object>;
    eventoSessao(): Observable<Object>;
    benefits(): Observable<Object>;
    credits(clientID: any): Observable<Object>;
    studio(): Observable<Object>;
    menu(): Observable<Object>;
    menuLateral(): Observable<any>;
    expositor(): Observable<Object>;
    jobs(): Observable<Object>;
    data(): Observable<any>;
    mentoriaSection(): Observable<Object>;
    users(): Observable<Object>;
    forums(section: any): Observable<Object>;
    readonly client: string;
    readonly userId: string;
    readonly header: {
        headers: HttpHeaders;
    };
}
